from flask import Flask,request,render_template,session
from formscheck import  RegisterForm
from formscheck import RegisterForm2
from werkzeug.utils import secure_filename
import os

app = Flask(__name__)
app.config["SECRET_KEY"]=os.urandom(24)

UPLOAD_PATH=os.path.join(os.path.dirname(__file__),"image")



@app.route('/')
def hello_world():
    return 'Hello World!'

#wtform表单的基本使用
@app.route("/register/",methods=["GET","POST"])
def register():
    if request.method=="GET":
        return render_template("register.html")
    else:
        #post请求方法 把用户数据都保存在了form这个里边
        form =RegisterForm(request.form)
        #利用表单类创建了一个表单类对象 进行验证
        if form.validate():
            return "验证通过"
        else:
            print(form.errors)
            return "数据验证不通过"

import random
#常用验证器的使用
@app.route("/register2/",methods=["POST","GET"])
def login():
    if request.method=="GET":
        #自定义验证器 实现验证码
        code=random.randint(1000,9999)  #生成一个随机四位整数
        session["code"]=str(code)

        return render_template("register2.html")
    else:
        form = RegisterForm2(request.form)
        if form.validate():
            return "验收ok"
        else:
            print(form.errors)
            return "验证失败"

#flask上传文件的实现
@app.route("/upload/",methods=["GET","POST"])
def upload():
    if request.method=="GET":
        return render_template("upload.html")
    else:
        desc=request.form.get("desc")
        pichead=request.form.get("pichead")
        #保存到服务器
        # pichead.save(os.path.join(UPLOAD_PATH,pichead.filename))

        filename=secure_filename(pichead.filename)
        pichead.save(os.path.join(UPLOAD_PATH,filename))
        return "文件上传成功"



import uuid
print(uuid.uuid4())

if __name__ == '__main__':
    app.run()
