from wtforms import  Form,StringField,IntegerField  #这个是引入数据类型
from wtforms.validators import Length,EqualTo,Email,InputRequired,NumberRange,Regexp,URL,UUID,ValidationError#这个是引入验证器
from flask import session

class RegisterForm(Form):
    uname=StringField(validators=[Length(min=2,max=15,message="用户名的长度必须是2-15之间")])
    pwd=StringField(validators=[Length(min=2,max=12)])
    pwd2 = StringField(validators=[Length(min=2, max=12),EqualTo("pwd",message="两次输入密码不一样")])
    # StringField对应的数据类型  Length验证器 EqualTo验证器

class RegisterForm2(Form):
    email=StringField(validators=[Email()])
    #这个是邮箱格式
    uname=StringField(validators=[InputRequired(message="必填项")])
    #InputRequired验证器 为必填项
    age=IntegerField(validators=[NumberRange(18,40)])
    #NumberRange验证器 为数字区间   数字框为IntegerField
    phone=StringField(validators=[Regexp(r'1[345789]\d{9}')])
    phomepage=StringField(validators=[URL()])
    uuid=StringField(validators=[UUID()])
    code=StringField(validators=[Length(min=4,max=4)])
    #自定义强化验证器
    def validate_code(self,field):
        print(field.data,session.get("code"))

        if field.data != session.get("code"):
            raise ValidationError("验证不一致")